Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::views::generate_n_fn Struct Reference

## Public Member Functions
template<typename G > requires invocable<G &> && copy_constructible<G> && std::is_object<detail::decay_t<invoke_result_t<G &>>>
::value &&constructible_from< detail::decay_t< invoke_result_t< G & > >, invoke_result_t< G & > > &&assignable_from< detail::decay_t< invoke_result_t< G & > > &, invoke_result_t< G & > > generate_n_view< G > | operator() (G g, std::size_t n) const

## Related Functions
(Note that these are not member functions.)
constexpr generate_n_fn | generate_n {}